Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.univrennes1.cri.calendar
Class Sot

    java.lang.Object
      |
      +--fr.univrennes1.cri.calendar.Sot

public class Sot
extends java.lang.Object

Constructor Summary
`Sot()` Constructeur basic
`Sot(java.lang.String num, java.lang.String user, java.lang.String ip2, long date)` Constructeur

Method Summary
`java.lang.String` | `getIp()`
`java.lang.String` | `getKey()`
`long` | `getTime()`
`java.lang.String` | `getUid()`
`void` | `setIp(java.lang.String string)`
`void` | `setKey(java.lang.String string)`
`void` | `setTime(long date)`
`void` | `setUid(java.lang.String string)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sot

    public Sot()

  Constructeur basic

### Sot

    public Sot(java.lang.String num,
               java.lang.String user,
               java.lang.String ip2,
               long date)

  Constructeur

Parameters:
  `num` - clé générée aléatoirement
  `user` - login de l'utilisateur
  `ip2` - adresse ip de l'utilisateur
  `date` - equivalent en millisecondes de la date de demande d'autentification.

Method Detail

### getIp

    public java.lang.String getIp()

  Returns:
    l'adresse ip de l'objet SOT

### getKey

    public java.lang.String getKey()

  Returns:
    la clé générée aléatoirement

### getTime

    public long getTime()

  Returns:
    la date en secondes à laquelle l'objet SOT a été crée

### getUid

    public java.lang.String getUid()

  Returns:
    le login de l'utilisateur

### setIp

    public void setIp(java.lang.String string)

  Parameters:
    `string` - ip de l'utilisateur

### setKey

    public void setKey(java.lang.String string)

  Parameters:
    `string` - clé générée aléatoirement

### setTime

    public void setTime(long date)

  Parameters:
    `date` - date en seconde de creation de l'objet SOT

### setUid

    public void setUid(java.lang.String string)

  Parameters:
    `string` - login de l'utilisateur

Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD